View Issue Details

IDProjectCategoryView StatusLast Update
0005018SymmetricDS ProBugpublic2021-07-13 19:48
Reporterelong Assigned Torudiejd  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.11Fixed in Version3.12.11 
Summary0005018: MS log miner needs snapshot isolation to work under heavy load
DescriptionThe Log Miner for Microsoft SQL-Server database needs to use snapshot isolation to avoid concurrency issues that result in missing changes. The changetable may not reflect all changes for the current change number returned by change_tracking_current_version() with other isolation levels.

Setting needed in engine file:

target.db.jdbc.isolation.level=4096

SQL needed to run on database:

ALTER DATABASE AdventureWorksLT SET ALLOW_SNAPSHOT_ISOLATION ON;
Tagslog-miner

Activities

rudiejd

2021-06-14 18:17

developer   ~0001951

added permissions check in wizard & alter database to use snapshot isolation in trigger setup

Related Changesets

SymmetricDS: 3.12 2c4845dd

2021-06-10 16:35:33

JD


Committer: GitHub Details Diff
5018: Add permission check for database altering before allowing user to install SQL Server node with log-based replication (0000159)

* 5018: add permission check for altering databases to wizard for sql server log-based repl

* 5018: add permission check for altering databases to wizard for sql server log-based repl
Affected Issues
0005018
mod - .gitignore Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/platform/mssql/MsSql2008DatabasePlatform.java Diff File

Issue History

Date Modified Username Field Change
2021-06-08 16:54 elong New Issue
2021-06-08 16:54 elong Status new => assigned
2021-06-08 16:54 elong Assigned To => elong
2021-06-08 16:54 elong Tag Attached: log-miner
2021-06-08 16:56 elong Description Updated View Revisions
2021-06-08 17:04 elong Assigned To elong => rudiejd
2021-06-10 17:00 JD Changeset attached => SymmetricDS 3.12 2c4845dd
2021-06-14 18:17 rudiejd Status assigned => resolved
2021-06-14 18:17 rudiejd Resolution open => fixed
2021-06-14 18:17 rudiejd Fixed in Version => 3.12.11
2021-06-14 18:17 rudiejd Note Added: 0001951
2021-07-13 19:48 admin Status resolved => closed